'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.fetchMain = exports.toggle = exports.TOGGLE = exports.RECEIVE_USER = exports.RECEIVE_LIST = exports.PROFILE_LOGOUT = undefined;

var _templateObject = _taggedTemplateLiteral(['\n    {\n      coreNavigationMain {\n        name\n        path\n      }\n      accountUserMe {\n        name\n        email\n      }\n    }\n  '], ['\n    {\n      coreNavigationMain {\n        name\n        path\n      }\n      accountUserMe {\n        name\n        email\n      }\n    }\n  ']);

exports.profileLogout = profileLogout;

var _reactCfGraphqlClient = require('react-cf-graphql-client');

var _reactCfGraphqlClient2 = _interopRequireDefault(_reactCfGraphqlClient);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _taggedTemplateLiteral(strings, raw) { return Object.freeze(Object.defineProperties(strings, { raw: { value: Object.freeze(raw) } })); }

var PROFILE_LOGOUT = exports.PROFILE_LOGOUT = 'PROFILE_LOGOUT';
var RECEIVE_LIST = exports.RECEIVE_LIST = 'RECEIVE_LIST';
var RECEIVE_USER = exports.RECEIVE_USER = 'RECEIVE_USER';
var TOGGLE = exports.TOGGLE = 'TOGGLE';

/**
 * Toogle button state
 */
var toggle = exports.toggle = function toggle() {
  return {
    type: TOGGLE
  };
};

/**
 * Set received data to state list
 * @param {*} data
 */
function receiveList(data) {
  return {
    type: RECEIVE_LIST,
    data: data
  };
}

/**
 * Set received data to state user
 * @param {*} data
 */
function receiveUser(data) {
  return {
    type: RECEIVE_USER,
    data: data
  };
}

/**
 * Set true/false to state openLogout
 * @param {*} data
 */
function profileLogout(logout) {
  return {
    type: PROFILE_LOGOUT,
    logout: logout
  };
}

/**
 * Get main data
 * @param {*} dispath
 */
var fetchMain = exports.fetchMain = function fetchMain(dispath) {
  return _reactCfGraphqlClient2.default.query({
    query: (0, _reactCfGraphqlClient.Graphql)(_templateObject)
  }).then(function (result) {
    dispath(receiveList(result.data.coreNavigationMain));
    dispath(receiveUser(result.data.accountUserMe));
  });
};