'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _semanticUiReact = require('semantic-ui-react');

var _reactRedux = require('react-redux');

var _Navigation = require('../containers/Navigation');

var _Navigation2 = _interopRequireDefault(_Navigation);

var _Logout = require('../containers/Logout');

var _Logout2 = _interopRequireDefault(_Logout);

var _style = require('./style');

var _style2 = _interopRequireDefault(_style);

var _actions = require('../actions');

var _store = require('../store');

var _store2 = _interopRequireDefault(_store);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var Dashboard = function Base(props) {
  var location = props.location,
      children = props.children;

  // Fetch main menu

  (0, _actions.fetchMain)(_store2.default.dispatch);

  // Return components
  return _react2.default.createElement(
    _reactRedux.Provider,
    { store: _store2.default },
    _react2.default.createElement(
      _semanticUiReact.Container,
      { fluid: true },
      _react2.default.createElement(_Logout2.default, null),
      _react2.default.createElement(_Navigation2.default, { location: location }),
      _react2.default.createElement(
        _style2.default,
        null,
        children
      )
    )
  );
};

Dashboard.defaultProps = {
  location: {},
  children: null
};

Dashboard.propTypes = {
  location: _propTypes2.default.shape({
    hash: _propTypes2.default.string,
    key: _propTypes2.default.string,
    pathname: _propTypes2.default.string,
    search: _propTypes2.default.string,
    state: _propTypes2.default.string
  }),
  children: _propTypes2.default.node
};

exports.default = Dashboard;