'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _semanticUiReact = require('semantic-ui-react');

var _reactRouterDom = require('react-router-dom');

var _reactCfHelperI18n = require('react-cf-helper-i18n');

var _reactCfHelperI18n2 = _interopRequireDefault(_reactCfHelperI18n);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var Items = function Items(_ref) {
  var list = _ref.list,
      location = _ref.location,
      toggle = _ref.toggle;

  if (list.length > 0) {
    var items = list.map(function (item) {
      return _react2.default.createElement(
        _semanticUiReact.Menu.Item,
        {
          as: _reactRouterDom.Link,
          to: item.path,
          key: item.path,
          onClick: toggle,
          active: item.path === location.pathname,
          name: item.name
        },
        _reactCfHelperI18n2.default.t('modules.' + item.name)
      );
    });

    return items;
  }
  return _react2.default.createElement(_semanticUiReact.Loader, { active: true });
};

Items.defaultProps = {
  toggle: function toggle() {}
};

Items.propTypes = {
  list: _propTypes2.default.arrayOf(_propTypes2.default.shape({
    name: _propTypes2.default.string.isRequired,
    path: _propTypes2.default.string.isRequired
  }).isRequired).isRequired,
  toggle: _propTypes2.default.func
};

exports.default = Items;