'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _semanticUiReact = require('semantic-ui-react');

var _reactCfHelperCdn = require('react-cf-helper-cdn');

var _reactCfHelperCdn2 = _interopRequireDefault(_reactCfHelperCdn);

var _Items = require('./Items');

var _Items2 = _interopRequireDefault(_Items);

var _Profile = require('../containers/Profile');

var _Profile2 = _interopRequireDefault(_Profile);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var Navigation = function Navigation(_ref) {
  var list = _ref.list,
      show = _ref.show,
      location = _ref.location,
      toggle = _ref.toggle;
  return _react2.default.createElement(
    _semanticUiReact.Menu,
    { borderless: true, compact: true, fixed: 'top', fluid: true, stackable: true },
    _react2.default.createElement(
      _semanticUiReact.Menu.Menu,
      null,
      _react2.default.createElement(
        _semanticUiReact.Responsive,
        _extends({ as: _semanticUiReact.Menu.Item }, _semanticUiReact.Responsive.onlyMobile),
        _react2.default.createElement(_semanticUiReact.Button, {
          basic: true,
          color: 'blue',
          icon: 'bars',
          onClick: toggle
        }),
        _react2.default.createElement(_semanticUiReact.Image, {
          centered: true,
          verticalAlign: 'middle',
          src: _reactCfHelperCdn2.default.image('logo-text-296-40.svg'),
          size: 'small'
        })
      ),
      _react2.default.createElement(
        _semanticUiReact.Responsive,
        { as: _semanticUiReact.Menu.Item, minWidth: 768 },
        _react2.default.createElement(_semanticUiReact.Image, {
          verticalAlign: 'middle',
          src: _reactCfHelperCdn2.default.image('logo-text-296-40.svg'),
          size: 'small'
        })
      )
    ),
    show && _react2.default.createElement(
      _semanticUiReact.Responsive,
      _extends({ as: _semanticUiReact.Menu.Menu }, _semanticUiReact.Responsive.onlyMobile, { position: 'right' }),
      _react2.default.createElement(_Items2.default, { list: list, location: location, toggle: toggle })
    ),
    _react2.default.createElement(
      _semanticUiReact.Responsive,
      { as: _semanticUiReact.Menu.Menu, minWidth: 768, position: 'right' },
      _react2.default.createElement(_Items2.default, { list: list, location: location }),
      _react2.default.createElement(_Profile2.default, null)
    )
  );
};

Navigation.defaultProps = {
  location: {}
};

Navigation.propTypes = {
  list: _propTypes2.default.arrayOf(_propTypes2.default.shape({
    name: _propTypes2.default.string.isRequired,
    path: _propTypes2.default.string.isRequired
  }).isRequired).isRequired,
  location: _propTypes2.default.objectOf(_propTypes2.default.string),
  show: _propTypes2.default.bool.isRequired,
  toggle: _propTypes2.default.func.isRequired
};

exports.default = Navigation;